curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"salesChannelId": "<string>",
"isActive": true,
"sellerId": "<string>",
"channel": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"channelDisplayName": "<string>",
"channelCurrency": "<string>",
"isDocumentStorageEnabled": true,
"isStockUpdateEnabled": true,
"isOfferAutomappingEnabled": true,
"offerAutomappingType": 0,
"isAttributeImportEnabled": true,
"orderConfirmationType": 0,
"pendingOfferDeletionIntervalDays": 123,
"completedOfferDeletionIntervalDays": 123,
"isDeleted": true,
"isVariationsSupported": true,
"isQuantityPriceSupported": true,
"invoiceDocumentTransfer": 0,
"isAllowCombineOrders": true,
"name": "<string>",
"isBlocked": 123,
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnWarehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"languageId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"updatedAt": "2023-11-07T05:31:56Z",
"reason": "<string>",
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
]{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Delivers all SCX sellers.
Delivers all SCX sellers.
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"salesChannelId": "<string>",
"isActive": true,
"sellerId": "<string>",
"channel": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"channelDisplayName": "<string>",
"channelCurrency": "<string>",
"isDocumentStorageEnabled": true,
"isStockUpdateEnabled": true,
"isOfferAutomappingEnabled": true,
"offerAutomappingType": 0,
"isAttributeImportEnabled": true,
"orderConfirmationType": 0,
"pendingOfferDeletionIntervalDays": 123,
"completedOfferDeletionIntervalDays": 123,
"isDeleted": true,
"isVariationsSupported": true,
"isQuantityPriceSupported": true,
"invoiceDocumentTransfer": 0,
"isAllowCombineOrders": true,
"name": "<string>",
"isBlocked": 123,
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnWarehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"languageId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"updatedAt": "2023-11-07T05:31:56Z",
"reason": "<string>",
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
]{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Response
Success.
Sales channel id of this seller/account. Opaque, tenant-local composite identifier (not a UUID). Use this value to address the seller in follow-up calls.
The seller account is active.
Seller identifier on the marketplace channel.
Channel code.
Creation timestamp.
Display name of the channel.
Currency of the channel.
Document storage is enabled.
Stock update is enabled.
Offer automapping is enabled.
Offer automapping type.
0, 1, 2 Attribute import is enabled.
Order confirmation type.
0, 1 Deletion interval for pending offers in days.
Deletion interval for completed offers in days.
The seller account is marked as deleted.
Channel supports product variations.
Channel supports quantity prices.
Invoice document transfer type.
0, 1, 2 Channel allows combining orders.
Name of the seller account.
1 if the seller account is inactive at SCX and data exchange is blocked, otherwise 0.
ID of the company.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
ID of the warehouse.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
ID of the return warehouse.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
ID of the language.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Last update timestamp.
Reason reported by SCX for the current state of the seller account, or null.
ID of the default shipping method.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
ID of the payment method.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Was this page helpful?